Subject: Re: Bug#733133: xwiimote: xwiikeymap often fails to connect to new wiimotes

From: Nobuhiro Iwamatsu <[email-masked]>
Date: Mon, 21 Apr 2014 10:05:42 +0900

Hi,

2013-12-26 15:54 GMT+09:00 Matthew Gabeler-Lee <[email-masked]>:
> Package: xwiimote
> Version: 0.3+20120630-5+b1
> Severity: normal
>
> The xwiikeymap tool attempts to configure new wiimotes as they connect, but
> it has a glitch.  tools/xwiikeymap.c line 218 has a short sleep after a new
> device appears, but this sleep is too short.  Extending it from 10ms to
> 100ms works for me.

I just upload new xwiimote to experimental (not install yet).
Could you check with this version? I have only old Wiimote.
xwiimote-2 is in experimental, but we can use this in unstable.

>
> Upstream seems to have abandoned xwiikeymap (it is no longer in the github
> repo), in favor of the xorg input driver, which I see has an ITP for debian,
> but no package yet yet.

I see. xwiikeymap removed by upstream developer. Because xorg input driver is
used instead of xwiikeymap.
About  xorg input driver, I will talk with ITPer (#707781).

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6